
/*********** INFORMATION *****************************

- document:  SlideIt - CSS3 fixed sliding elements
- element:   Pricing table - Right
- author:    Capelle @ Codecanyon
- profile:   http://codecanyon.net/user/Capelle

*****************************************************/


/*  ==================
    1. FONTS
    ==================  */

/** 1.1. Fonts ***************/

/* Delete this import if you're changing the font family */

/*  ==================
    2. RESET
    ==================  */

/***** Body reset *****/

body {
	margin: 0;
	padding: 0;
	height: 100%;
	width: 100%;
	background: #585A69;
}
/* === Note === Delete this body reset - it's for demo purpouses only */

/***** Item reset *****/

#slideit * {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-weight: 300;
	font-style: normal;
	font-size: 100%;
	vertical-align: baseline;
	line-height: normal;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	line-height: 1.5;
}
#slideit label {
	cursor: pointer;
}
#slideit input[type="radio"] {
	display: none;
}
#slideit a {
	text-decoration: none;
}
/* === Note === If you experience issues with reset above, please adjust the selectors and values according to your template/website.
When adjusting the reset is adviced to check up the elements on your page, as they might distort. */


/*  ==================
    3. MAIN STYLES
    ==================  */

#slideit {
	z-index: 9999; /* Keep the item above all other elements on the page */
	/*position: fixed;*/
	width: auto;
	height: 100%;
	top: 0; /* Vertical position of the item */
	right: 0; /* Horizontal position of the item */
}

/***** Main styles *****/

#slideit section {
	margin: 0;
	overflow: hidden;
	height: auto;
	right: 0;
	top: 0;
	position: absolute;
	z-index: 10;
	background: rgba(51,51,51,0.95);
	-webkit-backface-visibility: hidden; /* Webkit transition hack */
	height: 100%;
	width: 50%;
}
#slideit section,
#slideit input#close-item:checked ~ section {
	/* Section position when closed */
	-webkit-transform: translateX(100%);
	-moz-transform: translateX(100%);
	-ms-transform: translateX(100%);
	-o-transform: translateX(100%);
	transform: translateX(100%);
}
#slideit input#open-item:checked ~ section {
	/* Section position when opened */
	-webkit-transform: translateX(0);
	-moz-transform: translateX(0);
	-ms-transform: translateX(0);
	-o-transform: translateX(0);
	transform: translateX(0);
}
#slideit section .wrap {
	position: relative;
	width: 100%;
	height: auto;
}
#slideit section .wrap,
#slideit .title,
#slideit .title span.price,
#slideit .package,
#slideit .table,
#slideit .row,
#slideit a.order-btn,
#slideit .w-60,
#slideit .w-30 {
	float: left;
}
#slideit a.more {
	float: right;
}

/***** Main title *****/

#slideit .title {
	width: 100%;
	display: block;
	padding: 30px;
}
#slideit .title span.price {
	background: none repeat scroll 0 0 #6e7293;
	display: inline-block;
	width: 120px;
	height: 120px;
	line-height: 96px;
	font-size: 40px;
	color: #fff;
	text-align: center;
	margin: 0 20px 0 0;
	position: relative;
	border: 4px solid #fff;
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	border-radius: 50%;
}
#slideit .title span.price span {
	font-size: 12px;
	position: absolute;
	right: 0;
	left: 0;
	bottom: 26px;
}
#slideit .package {
	display: inline-block;
	width: 100%;
	margin-top: 42px;
}
#slideit .package span.name {
	color: #fff;
	font-size: 16px;
	font-weight: 700;
	text-transform: uppercase;
	display: block;
}
#slideit .package span.info {
	font-size: 12px;
	color: #fff;
	display: block;
	line-height: 19px;
	margin-top: 20px;
}
#slideit .package span.info span {
	font-size: 12px;
	vertical-align: top;
	margin: 1px 1px 0 0;
	display: inline-block;
}

/***** Table *****/

#slideit .table {
	display: block;
	width: 100%;
	padding: 20px 30px;
	font-size: 12px;
	color: #999;
}
#slideit .row {
	width: 100%;
	display: block;
	margin-bottom: 12px;
	cursor: default;
}
#slideit .row:hover,
#slideit a.more:hover {
	color: #222;
}
#slideit .row span.icon {
	font-size: 14px;
	color: #ddd;
	display: inline-block;
	width: 24px;
}
#slideit .row div span.icon-yes {
	color: #8199fc;
	font-weight: normal;
}
#slideit .row div span.icon-no {
	color: #ff294c;
	font-weight: normal;
}
#slideit a.order-btn {
	display: inline-block;
	width: auto;
	margin: 0 auto;
	background: #6E7293;
	color: #fff;
	font-size: 14px;
	text-align: center;
	text-transform: uppercase;
	padding: 8px 12px;
	margin: 6px 0;
}
#slideit a.order-btn:hover,
#slideit a.order-btn:focus {
	background: #3c3f56;
}
#slideit a.more {
	display: inline-block;
	width: auto;
	margin-top: 14px;
	font-size: 12px;
	color: #ccc;
}
#slideit a.more span {
	padding-left: 4px;
}

/***** Basic grid *****/

#slideit .w-60,
#slideit .w-30 {
	display: inline-block;
	line-height: 20px;
	position: relative;
}
#slideit .w-60 {
	width: 60%;
}
#slideit .w-30 {
	width: 30%;
	text-align: right;
	color: #6E7293;
	font-weight: 700;
}
#slideit .m-10 {
	margin-right: 10%;
}
#slideit .b-1 {
	border-bottom: solid 1px #ddd;
	padding-bottom: 10px;
}

/***** Labels *****/

#slideit label.open,
#slideit label.close {
	text-align: center;
	position: absolute;
}
#slideit label.open {
	font-size: 11px;
	color: #fff;
	background: #333;
	width: 100px;
	top: 160px;
	right: -101px;
	left: auto;
	bottom: auto;
	margin: 0 auto;
	padding: 10px 0;
	text-transform: uppercase;
	z-index: 1;
}
#slideit input#close-item:checked ~ label.open {
	right: 0;
}
#slideit label.open:hover,
#slideit label.open:focus {
	background: #ff5656;
	color: #fff;
}
#slideit label.close {
	right: 30px;
	left: auto;
	top: 0;
	bottom: auto;
	font-size: 20px;
	background: #6E7293;
	color: #fff;
	width: 22px;
	z-index: 999;
}
#slideit label.close:hover,
#slideit label.close:focus {
	background: #3c3f56;
}

/***** Transitions *****/

#slideit label,
#slideit .row,
#slideit a {
	-webkit-transition: all 0.1s ease-in-out;
	-moz-transition: all 0.1s ease-in-out;
	-ms-transition: all 0.1s ease-in-out;
	-o-transition: all 0.1s ease-in-out;
	transition: all 0.1s ease-in-out;
}
#slideit section {
	-webkit-transition: all 0.4s cubic-bezier(0.2, 0.6, 0.3, 1);
	-moz-transition: all 0.4s cubic-bezier(0.2, 0.6, 0.3, 1);
	-ms-transition: all 0.4s cubic-bezier(0.2, 0.6, 0.3, 1);
	-o-transition: all 0.4s cubic-bezier(0.2, 0.6, 0.3, 1);
	transition: all 0.4s cubic-bezier(0.2, 0.6, 0.3, 1);
}
#slideit input#close-item:checked ~ label.open {
	-webkit-transition: right 0.3s ease 0.4s, background 0.1s ease, color 0.1s ease;
	-moz-transition: right 0.3s ease 0.4s, background 0.1s ease, color 0.1s ease;
	-ms-transition: right 0.3s ease 0.4s, background 0.1s ease, color 0.1s ease;
	-o-transition: right 0.3s ease 0.4s, background 0.1s ease, color 0.1s ease;
	transition: right 0.3s ease 0.4s, background 0.1s ease, color 0.1s ease;
}


/*  ==================
    4. MEDIA QUERIES
    ==================  */

/***** Max width 360px *****/

@media screen and (max-width:360px){
	#slideit,
	#slideit section {
		width: 100%;
		top: 0;
	}
	#slideit label.open {
		top: 10%;
	}
}